description

# VRDisplay class Null safety

Inheritance
  - Object
  - EventTarget
  - VRDisplay
Annotations
  - @Native("VRDisplay")

## Properties

capabilities → VRDisplayCapabilities?
  read-only
depthFar ↔ num?
  read / write
depthNear ↔ num?
  read / write
displayId → int?
  read-only
displayName → String?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isPresenting → bool?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stageParameters → VRStageParameters?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
cancelAnimationFrame(int handle) → void
dispatchEvent(Event event) → bool
  inherited
exitPresent() → Future
getEyeParameters(String whichEye) → VREyeParameters
getFrameData(VRFrameData frameData) → bool
getLayers() → List<Map>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
requestAnimationFrame(FrameRequestCallback callback) → int
requestPresent(List<Map> layers) → Future
submitFrame() → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited